# DefaultNSSecureCoding

    public struct DefaultNSSecureCoding<T> : FieldCoderType where T : DefaultNSSecureCodable

A `FieldCoderType` that implements the default Core Data transformable attribute behavior, which uses a `ValueTransformer` named `.secureUnarchiveFromDataTransformerName`.

### FieldCoderType

- `FieldStoredValue`

  #### Declaration

  Swift

      public typealias FieldStoredValue = T

- `encodeToStoredData(_:)`

  #### Declaration

  Swift

      public static func encodeToStoredData(_ fieldValue: FieldStoredValue?) -> Data?

- `decodeFromStoredData(_:)`

  #### Declaration

  Swift

      public static func decodeFromStoredData(_ data: Data?) -> FieldStoredValue?